Infra APIVms
Create a VM
Creates a new Firecracker microVM from a template
POST
/api/v1/vmsCreates a new Firecracker microVM from a template
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Request Body
application/json
VM creation parameters
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/vms" \ -H "Content-Type: application/json" \ -d '{}'{ "ip_address": "string", "memory_mb": 0, "name": "string", "node_id": "string", "status": "string", "user_id": "string", "vcpu_count": 0, "vm_id": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}